# Matrix Dart SDK Sqflite

   [![](https://img.shields.io/pub/v/matrix_sdk_sqflite.svg)](https://pub.dartlang.org/packages/matrix_sdk_sqflite)
   [![](https://img.shields.io/matrix/pattle:matrix.org.svg)](https://matrix.to/#/#pattle:matrix.org)

   A [`sqflite`](https://pub.dartlang.org/packages/sqflite) store implementation
   for the Matrix Dart SDK.

   This store is only usable on Flutter.

## Usage

   ```dart
   final store = SqfliteStore(path: 'matrix.sqlite');

   final hs = Homeserver(Uri.parse("https://matrix.org"));
   final user = await hs.login(Username("joe"), "badPassword", store: store);
   ```
